trafficserver (9.2.5+ds-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:22 +0200

trafficserver (9.2.5+ds-1ubuntu1) plucky; urgency=medium

  * d/p/0022-fix-doc-build-remove-unused-footnotes.patch: Fix doc build by
    removing unused footnotes

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 17 Mar 2025 13:52:59 -0400

trafficserver (9.2.5+ds-1build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:51:03 -0500

trafficserver (9.2.5+ds-1) unstable; urgency=high

  * New upstream version 9.2.5+ds
  * Patches refresh for 9.2.5
  * Update d/control Build-Depends
  * CVEs fix (Closes: #1077141)
    - CVE-2023-38522: Incomplete field name check allows request smuggling
    - CVE-2024-35161: Incomplete check for chunked trailer section allows
      request smuggling
    - CVE-2024-35296: Invalid Accept-Encoding can force forwarding requests

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 23 Aug 2024 18:49:41 +0200

trafficserver (9.2.4+ds-2) unstable; urgency=medium

  * Disable plugin dynamic reload by default (Closes: #1020989)
  * Improve d/trafficserver.service security
  * Update d/copyright to fix lintian warning

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 16 Apr 2024 14:26:54 +0200

trafficserver (9.2.4+ds-1) unstable; urgency=medium

  * New upstream version 9.2.4+ds
  * Refresh d/patches for 9.2.4 release
  * Update Debian Policy version
  * Update d/copyright fixing lintian superfluous-file-pattern warning
  * Update d/control to fix lintian build-depends-on-obsolete-package warning
  * CVEs fix (Closes: #1068417)
    - CVE-2024-31309: HTTP/2 CONTINUATION DoS attack

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 13 Apr 2024 09:56:13 +0200

trafficserver (9.2.3+ds-1) unstable; urgency=medium

  * New upstream version 9.2.3+ds
  * Update d/trafficserver-experimental-plugins for 9.2.3 release
  * CVEs fixes (Closes: #1054427, Closes: #1053801)
    - CVE-2023-39456: Improper Input Validation vulnerability
    - CVE-2023-41752: Exposure of Sensitive Information to an Unauthorized Actor
    - CVE-2023-44487: The HTTP/2 protocol allows a denial of service

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 02 Nov 2023 13:46:58 +0100

trafficserver (9.2.2+ds-1) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Remove myself from Uploaders

  [ Jean Baptiste Favre ]
  * New upstream version 9.2.1+ds
  * Update d/patches for 9.2.2
    - CVE-2022-47185: Improper input validation vulnerability
    - CVE-2023-33934: Improper input validation vulnerability

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 04 Sep 2023 16:38:33 +0200

trafficserver (9.2.1+ds-1) unstable; urgency=medium

  * New upstream version 9.2.1+ds
  * Update d/patches for 9.2.1 release
  * Update Build-Depends to allow documentation build
  * Update patch to fix HTTP proxy tests plus forwarded URL
  * Update patch to fix doc build plus forwarded URL
  * Update d/copyright

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 19 Jun 2023 11:44:27 +0200

trafficserver (9.2.0+ds-3) unstable; urgency=medium

  * Update d/control with latest Standards-Version
  * Remove lsb-base from trafficserver dependencies
  * Fix missing quilt headers

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 18:02:18 +0100

trafficserver (9.2.0+ds-2) unstable; urgency=medium

  * Install new experimental plugins
  * Fix d/docs after README was renamed upstream

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 16:56:45 +0100

trafficserver (9.2.0+ds-1) unstable; urgency=medium

  * New upstream version 9.2.0+ds
  * Refresh d/patches for 9.2.0 release
  * Add patch to workaround docutils deprecated function warning
  * Add a patch to workaround obsolete python3-sphinxcontrib.plantuml version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 08:59:51 +0100

trafficserver (9.1.4+ds-1) unstable; urgency=medium

  * New upstream version 9.1.4+ds
    - CVE-2022-32749 Improper Check for Unusual or Exceptional Conditions
    - CVE-2022-37392 Improper Check for Unusual or Exceptional Conditions
    - CVE-2022-40743 Improper Input Validation
  * Patches refresh for 9.1.4

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 20 Dec 2022 15:15:32 +0100

trafficserver (9.1.3+ds-3) unstable; urgency=medium

  * Replace deprecated /var/run references with /run

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 24 Oct 2022 09:31:37 +0200

trafficserver (9.1.3+ds-2) unstable; urgency=medium

  * Update build-dep to ensure /etc/hosts is available. (Closes: #1019553)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 13 Sep 2022 15:44:58 +0200

trafficserver (9.1.3+ds-1) unstable; urgency=medium

  * New upstream version 9.1.3+ds
    - CVE-2021-37150 Protocol vs scheme mismatch
    - CVE-2022-25763 Improper input validation on HTTP/2 headers
    - CVE-2022-28129  Insufficient Validation of HTTP/1.x Headers
    - CVE-2022-31780 HTTP/2 framing vulnerabilities

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 10 Aug 2022 09:38:21 +0200

trafficserver (9.1.2+ds-13) unstable; urgency=medium

  * Fully remove ppc64 architecture because of broken support

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 29 Jun 2022 09:33:07 +0200

trafficserver (9.1.2+ds-12) unstable; urgency=medium

  * Fix lintian error in d/changelog

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 27 Jun 2022 18:07:27 +0200

trafficserver (9.1.2+ds-11) unstable; urgency=medium

  * Remove ppc64el architecture (Closes: #1013812)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 27 Jun 2022 14:02:31 +0200

trafficserver (9.1.2+ds-10) unstable; urgency=medium

  * Add patch from upstream to improve OpenSSL 3 compatibility
  * Add patch to fix proxy_http tests
  * Update d/rules after tests fix

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 17 Jun 2022 09:52:31 +0200

trafficserver (9.1.2+ds-9) unstable; urgency=medium

  * Re-install tslua module for ppc64el arch
  * Update d/control for missing luajit build-dep for x32 arch

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 10 Jun 2022 06:51:35 +0200

trafficserver (9.1.2+ds-8) unstable; urgency=medium

  * Update d/control to fix build-deps against luajit for ppc64el

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 09 Jun 2022 14:55:48 +0200

trafficserver (9.1.2+ds-7) unstable; urgency=medium

  * Update Standards-Version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 29 May 2022 19:13:34 +0200

trafficserver (9.1.2+ds-6) unstable; urgency=medium

  * Add d/u/metadata
  * Update patches which have been applied upstream
  * Patch to add missing configuration files man pages
  * Update d/copyright
  * Update d/control with Rules-Requires-Root field
  * Fix Standards-Version
  * Update build-dep in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 24 May 2022 11:31:47 +0200

trafficserver (9.1.2+ds-5) unstable; urgency=medium

  * Update d/copyright
  * Enable manpages built after fix

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 22 May 2022 21:35:07 +0200

trafficserver (9.1.2+ds-4) unstable; urgency=medium

  * Update build-dep to fix x32 build

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 15:52:34 +0200

trafficserver (9.1.2+ds-3) unstable; urgency=medium

  * Remove unavailable plugin on ppc64el (Closes: #1004511)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 13:02:41 +0200

trafficserver (9.1.2+ds-2) unstable; urgency=medium

  * Fix missing CVE reference in d/changelog
  * Update build-dep to workaround luajit segfault on ppc64el (Closes: #1004511)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and libyaml-cpp-dev.
    + trafficserver: Drop versioned constraint on lsb-base in Depends.
    + Remove 9 maintscript entries from 1 files.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 09:47:05 +0200

trafficserver (9.1.2+ds-1) unstable; urgency=medium

  * Fix typo in d/changelog
  * Update patches that have been forwarded upstream
  * New upstream version 9.1.2+ds
    - CVE-2021-44040: Improper Input Validation
  * Patches refresh for 9.1.2

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 25 Apr 2022 15:00:33 +0200

trafficserver (9.1.1+ds-2) unstable; urgency=medium

  * Fix lintian warnings
  * Update build-dep for geoip.
  * Enable maxmind_acl experimental plugin build (Closes: #999666)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 18 Nov 2021 15:48:35 +0100

trafficserver (9.1.1+ds-1) unstable; urgency=medium

  * New upstream version 9.1.1+ds
    - CVE-2021-37147: Improper input validation
    - CVE-2021-37148: Improper input validation
    - CVE-2021-37149: Improper Input Validation
    - CVE-2021-43082: Buffer Overflow
  * Patches refresh for 9.1.1
  * Remove broken sphinx and plantuml dependencies

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 05 Nov 2021 11:11:10 +0100

trafficserver (9.1.0+ds-2) unstable; urgency=medium

  * Restrict architecture to 64bits (Closes: #996636)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 18 Oct 2021 16:58:03 +0200

trafficserver (9.1.0+ds-1) unstable; urgency=medium

  * New upstream version 9.1.0+ds
  * Patches refresh for 9.1.0
  * Add patch to fix traffic_top build when using format-security
  * Add patch to fix traffic_manager build when using mime-sanity-check
  * Disable documentation build
  * Bump Standards-Version
  * Update experimental plugins list

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 16 Oct 2021 11:21:06 +0200

trafficserver (9.0.1+ds-1) UNRELEASED; urgency=medium

  * New upstream version 9.0.1+ds
  * New upstream version 9.0.0+ds
  * Update d/gbp.conf
  * Patches refresh for 9.0.0
  * Update d/rules to disable wccp
  * Update d/NEWS to reflect wccp being disabled
  * Update trafficserver plugins list
  * Update d/control
  * Rename d/trafficserver.tmpfile to .tmpfiles
  * Update d/docs to remove obsolete files
  * Update d/rules to remove some test plugins before dh_install
  * Update d/README.Debian with ATS 9.0.0 main changes

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 31 May 2021 11:00:56 +0200

trafficserver (8.1.1+ds-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds
  * Update d/watch
  * Update d/upstream/signing-key.asc
  * New upstream version 8.1.1+ds
  * Update Debian Standards-Version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 06 Dec 2020 16:26:39 +0100

trafficserver (8.1.1+ds-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds
  * Update d/watch
  * Update d/upstream/signing-key.asc
  * New upstream version 8.1.1+ds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 06 Dec 2020 15:43:35 +0100

trafficserver (8.1.0+ds-2) unstable; urgency=medium

  * Remove autopkgtest (Closes: #974683)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 22 Nov 2020 18:24:18 +0100

trafficserver (8.1.0+ds-1) unstable; urgency=medium

  * Remove lintian-overrides for trafficserver-experimental-plugins
  * Fix Salsa CI
  * Update d/upstream/signing-key.asc
  * New upstream version 8.1.0+ds
  * d/patches refresh for 8.1.0
  * Update experimental plugins list

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 01 Sep 2020 19:55:21 +0200

trafficserver (8.0.8+ds-3) UNRELEASED; urgency=low

  * Fix day-of-week for changelog entry 2.1.5-unstable-1.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 22 Aug 2020 17:48:33 -0000

trafficserver (8.0.8+ds-2) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS with Sphinx >= 3.0 (Closes: #963664)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 29 Jul 2020 08:40:43 +0200

trafficserver (8.0.8+ds-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds
  * Includes fix for CVE-2020-9494 (Closes: #963629)
  * Update debhelper-compat version in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 25 Jun 2020 10:01:51 +0200

trafficserver (8.0.7+ds-1) unstable; urgency=medium

  * New upstream version 8.0.7+ds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 16 Apr 2020 18:32:04 +0200

trafficserver (8.0.6+ds-1) unstable; urgency=medium

  * Update d/watch after upstream changes
  * Update d/gbp.conf
  * Update d/gbp.conf
  * New upstream version 8.0.6+ds
  * Patches refresh for 8.0.6

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 03 Mar 2020 09:06:18 +0100

trafficserver (8.0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version
  * Add patch for Python 3.8 compatibility (Closes: #950245)
  * Update build & test dependencies for Python 3.8

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 03 Feb 2020 11:45:17 +0100

trafficserver (8.0.5+ds-2) unstable; urgency=medium

  * Bump Debian Policy version
  * Remove Build-Depends against python2 modules (Closes: #943248)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 23 Oct 2019 10:07:42 +0200

trafficserver (8.0.5+ds-1) unstable; urgency=medium

  * New upstream release
    - Changes introduced with 8.0.4 include fixes for CVE-2019-9512,
      CVE-2019-9514, and CVE-2019-9515. (Closes: #934887)
    - 8.0.5 fixes CVE-2019-9518 (Closes: #935314)

 -- Emanuele Rocca <ema@debian.org>  Sat, 24 Aug 2019 09:00:22 +0200

trafficserver (8.0.3+ds-4) unstable; urgency=medium

  * Fix lintian warning 'skip-systemd-native-flag-missing-pre-depends'
  * Use debhelper-compat instead of debian/compat

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 02 Aug 2019 09:07:31 +0200

trafficserver (8.0.3+ds-3) unstable; urgency=medium

  * Run upstream testsuite with autopkgtest.
  * Enable CI tests on salsa (see debian/salsa-ci.yml).
  * Set debhelper compatibility level to 12.
  * Add myself to the Uploaders field.
  * Set Standards-Version to 4.4.0.

 -- Emanuele Rocca <ema@debian.org>  Wed, 31 Jul 2019 11:11:59 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog trafficserver`.
